{
    attributes = (
        {
            definition = toAgentCreation.agtNom; 
            externalType = VARCHAR2; 
            name = agentCreation; 
            valueClassName = NSString; 
            width = 26; 
        }, 
        {
            definition = toAgentModification.agtNom; 
            externalType = VARCHAR2; 
            name = agentModification; 
            valueClassName = NSString; 
            width = 26; 
        }, 
        {
            columnName = FOU_ORDRE; 
            externalType = NUMBER; 
            name = fouOrdre; 
            precision = 38; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = VAL_CREATION; 
            externalType = NUMBER; 
            name = valCreation; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = VAL_DATE_CREATE; 
            externalType = DATE; 
            name = valDateCreate; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = VAL_DATE_VAL; 
            externalType = DATE; 
            name = valDateVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = VAL_VALIDATION; 
            externalType = NUMBER; 
            name = valValidation; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (
        fouOrdre, 
        valCreation, 
        valDateCreate, 
        valValidation, 
        valDateVal, 
        agentModification, 
        agentCreation
    ); 
    className = EOValideFournis; 
    classProperties = (
        fouOrdre, 
        valCreation, 
        valDateCreate, 
        valValidation, 
        valDateVal, 
        toAgentCreation, 
        toAgentModification, 
        agentModification, 
        agentCreation
    ); 
    externalName = VALIDE_FOURNIS_ULR; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            fouOrdre, 
            valCreation, 
            valDateCreate, 
            valValidation, 
            valDateVal, 
            toAgentCreation, 
            toAgentModification, 
            agentModification, 
            agentCreation, 
            agtFournisModification, 
            agtLoginModification
        ); 
    }; 
    name = ValideFournis; 
    primaryKeyAttributes = (fouOrdre); 
    relationships = (
        {
            destination = Agent; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = agtOrdre; sourceAttribute = valCreation; }); 
            name = toAgentCreation; 
        }, 
        {
            destination = Agent; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = agtOrdre; sourceAttribute = valValidation; }); 
            name = toAgentModification; 
        }
    ); 
}
